Subject: Re: SASL bind - java-api-11 draft

From: "Steve Sonntag" <[email-masked]>
Date: Thu, 14 Sep 2000 15:58:12 -0600

When using an explicit bind for referrals where sasl mechanisms 
were used on the original LDAPConnection, the LDAPBind.bind()
method will need access to the Hashtable parameter passed on the
bind to get the credentials used.  A method needs to be
supplied in LDAPConnection to get the Hashtable object with
semantics similar to what is now used for getAuthenticationPassword()

-Steve

>>> Steven Sonntag <[email-masked]> 13-Sep-00 1:55:06 PM >>>
Shouldn't the SASL bind mechanisms also support the ability
for the application to specify an LDAPConstraints
object so that call specific controls can be specified?

-Steve

Steve Sonntag wrote:

>   4.40.1 In the explaination of bind operations that use mechanisms
> should the firstParagraph be changed from    Authenticates to the LDAP
> server (that the object is currently
>    connected to) using the specified name and of a specified set of
>    mechanisms. If none of the requested SASL mechanisms is available,
> an
>     Authenticates to the LDAP server (that the object is currently
>    connected to) using the specified name and ONE of a specified set
> of  <----
>    mechanisms. If none of the requested SASL mechanisms is available,
> anWhat does it mean -    if the first version of the method (i.e. the
> one that specifies no mechanism)
>    is called, the LDAP server will be interrogated for its
>    supportedSaslMechanisms attribute of its root DSE. What does it do
> after the LDAP server is interrogated?  Does it use oneof them, and if
> so how does the application know which one is usedand how does it know
> what kind of credentials to supply? -Steve